# Kirin Notes

## Overview
Kirin Notes is an efficient and convenient tool for information recording and management, helping you achieve quick recording, organization, and analysis of information.
![Fig 1 mainPage-big](image/mainPage.png)

## Features
Quick Access via Hotkey: Kylin Quick Note supports instant activation through hotkeys, allowing users to quickly enter note-taking mode in any scenario without complicated procedures, enabling immediate capture of ideas and important information anytime, anywhere.

To-do/Note Management: The application provides powerful to-do and note-taking capabilities, allowing users to easily create, categorize, and manage various tasks and notes. Whether it's important work items or life reflections, everything can be properly recorded and organized.

Weekly View for Summaries: Kylin Quick Note specially designs a weekly view where users can review and summarize their past week's work and life. Through intuitive data analysis and chart displays, it helps users clearly understand their work progress and achievements, providing valuable reference for the coming week.

## How to Open
The application launches automatically on startup. You can click the taskbar icon or select and click "Kirin Notes" from the operating system's Start Menu to open the list page.
![Fig 2 startupmenu-big](image/menu.png)

## Basic Operations

### Quick Entry
Press the shortcut key "Alt + Space" or click the Quick View "+" to enter the Quick Entry interface.

You can directly input text or use voice input to generate text.

You can assign tags, dates, and priorities to the input content. If a date is selected, the saved content will be created as a to-do.
![Fig 3 quickinput-big](image/QuickyInput.png)

### Quick View List
Click the tray icon to view the quick access list. Recently created notes and to-do items will be displayed in this list.

You can click the checkbox before completed to-do items' titles to move them to the "Completed" section.

Double-click any entry to open its editing window.

Click the "+" button in the upper right corner to enter the quick input interface.

Click the icon in the upper left corner to enter the shorthand main interface, and click the "+" in the upper right corner to enter the quick input interface
![Fig 4 NoteList-big](image/list.png)

### Note Editing and Management
Open an existing note to modify its title and content on the editing page. You can also change the font, size, color, format, and add images.

You can add or modify tags for existing notes.
![Fig 5 addTags-big](image/Tag.png)

To create a to-do from a note, select a time or right-click and choose "Set as To-Do."
![Fig 6 addtoTodo-big](image/addToDo.png)

Right-click a note you want to delete, click the delete button, and the deleted note will move to "Recently Deleted," where it can be restored or permanently deleted.
![Fig 7 recentDelete-big](image/recentDel.png)

### To-Do Editing and Management
Open an existing to-do to modify its title and content on the editing page. You can also change the font, size, color, format, and add images.

You can add or modify tags, dates, and priorities for existing to-dos.
![Fig 8 DatePicker-big](image/DatePicker.png)


When a to-do is completed, click the checkbox, and the to-do will move to the Completed To-Do section.

If you want to revert a completed to-do to an uncompleted status, click the checkbox in the Completed To-Do section, and the to-do will return to the to-do list.

Right-click a to-do you want to delete, click the delete button, and the deleted to-do will move to "Recently Deleted," where it can be restored or permanently deleted.
![Fig 9 removeFinisher-big](image/removeFinished.png)

### Intelligent Weekly Report
You can view the to-do items for the current week, click on a date to select a specific time slot, and view both completed and pending tasks.
![Fig 10 weekpage-big](image/week.png)
### Tag Management
Create tags for different themes, such as "Family," "Work," "Daily," etc., to categorize notes and to-dos. You can also right-click on a tag to rename or delete it.

